Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.inline
Class LineLayoutPossibilities

    java.lang.Object
      org.apache.fop.layoutmgr.inline.LineLayoutPossibilities

public class LineLayoutPossibilities
extends java.lang.Object

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger instance

Constructor Summary
`LineLayoutPossibilities()`

Method Summary
`void` | `addBreakPosition(Position pos, int i)`
`void` | `addPossibility(int ln, double dem)`
`int` | `applyLineCountAdjustment(int adj)`
`boolean` | `canUseLessLines()`
`boolean` | `canUseMoreLines()`
`double` | `getChosenDemerits()`
`int` | `getChosenLineCount()`
`Position` | `getChosenPosition(int i)`
`double` | `getDemerits(int i)`
`int` | `getLineCount(int i)`
`int` | `getMaxLineCount()`
`int` | `getMinLineCount()`
`int` | `getOptLineCount()`
`int` | `getPossibilitiesNumber()`
`void` | `printAll()`
`void` | `restorePossibilities()`
`void` | `savePossibilities(boolean bSaveOptLineCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  logger instance

Constructor Detail

### LineLayoutPossibilities

    public LineLayoutPossibilities()

Method Detail

### addPossibility

    public void addPossibility(int ln,
                               double dem)

### savePossibilities

    public void savePossibilities(boolean bSaveOptLineCount)

### restorePossibilities

    public void restorePossibilities()

### addBreakPosition

    public void addBreakPosition(Position pos,
                                 int i)

### canUseMoreLines

    public boolean canUseMoreLines()

### canUseLessLines

    public boolean canUseLessLines()

### getMinLineCount

    public int getMinLineCount()

### getOptLineCount

    public int getOptLineCount()

### getMaxLineCount

    public int getMaxLineCount()

### getChosenLineCount

    public int getChosenLineCount()

### getLineCount

    public int getLineCount(int i)

### getChosenDemerits

    public double getChosenDemerits()

### getDemerits

    public double getDemerits(int i)

### getPossibilitiesNumber

    public int getPossibilitiesNumber()

### getChosenPosition

    public Position getChosenPosition(int i)

### applyLineCountAdjustment

    public int applyLineCountAdjustment(int adj)

### printAll

    public void printAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.